<?php 
ini_set("display_errors", 0); //session_destroy(); session_regenerate_id ( true ); session_start();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <!--<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />-->
        <!--<link rel="stylesheet" type="text/css" href="style.css" media="all" />-->
        <!--[if IE 7]>
        <link rel="stylesheet" type="text/css" href="style-ie.css" />
        <![endif]-->
        <title>VERACRUZ - Login</title>
 		 <meta charset="utf-8">
		 <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		 <link href="images/LPV ORIGINAL.ico" rel="icon">

		 <link href="https://fonts.googleapis.com/css?family=Lato:300,400,700&display=swap" rel="stylesheet">

		 <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
		
		 <link rel="stylesheet" href="css_new/style.css">
       <?php
        include("comun/conexion3.php");
        include("comun/funciones.php");
        $link = con_impo();

        $mensaje = "";

        
        if (isset($_POST["enviar"])) {

            $active = 0;

            $noCaptcha = 0;
            //echo $_POST["user"].'   '.$_POST["password"];
            if (strtoupper($_POST["user"]) == "") {
                $mensaje = 'Por favor complete su nombre de usuario.<br>';
                //echo "Completa el nombre de usuario y la contrase&ntilde;a para loguearte.";
            } else {
                $usuario = strtoupper($_POST["user"]);

                $usuarioQ = mysqli_query($link, "select * from usuarioslpv where usuario = '$usuario' and empresa = 'LPV'");
                $cant = mysqli_num_rows($usuarioQ);
                $row = mysqli_fetch_assoc($usuarioQ);
                $password = $row['pass'];
                $email = $row['email'];

//&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&&
                //echo $cant;
                if ($cant != 0) {

                    //----control de usuario activo----------------------------------------------
                    if ($row["activo"] == 0) {
                        $mensaje.= ' Su usuario no está activo, Ud. puede consultar al administrador sobre la activación de su cuenta' . "<br>";
                        $active = 0;
                    } else {
                        $active = 1;
                    }
                    //---------------------------------------------------------------------------



                    if ($active == 1) {



                        if ($cant >= 1) {

                            $mensaje = 'Se ha enviado un correo a su cuenta con su contraseña actual.';
							
							$para = trim(strtolower($email));
							$titulo = 'Recuperacion de password.';
							$mensaje1 = 'Estimado usuario:
								A continuacion se le envia su password de acceso, utilice los siguientes datos para loguearse:
								
								Usuario: ' . $_POST["user"].'
								Password: ' . $password .'
								<br>LOGISTICA PORTUARIA DE VERACRUZ, S.A. DE C.V.';

							/*$cabeceras = 'From: LOGISTICAS PORTUARIAS admin@logisticasportuarias.com.mx' . "\r\n" .
									'Reply-To: admin@logisticasportuarias.com.mx' . "\r\n" .
									'X-Mailer: PHP/' . phpversion();*/

							/*mail($para, $titulo, $mensaje1, $cabeceras);*/
							
							include("PHPMailer/class.phpmailer.php");
							include("PHPMailer/class.smtp.php");

									$mail = new PHPMailer(true);


								try {
									$mail->SetLanguage("en", 'PHPMailer/language/');
									$mail->IsSMTP();
									$mail->SMTPAuth = true;
									$mail->SMTPSecure = "ssl";
									$mail->Host = "smtp.gmail.com";
									$mail->Port = 465;
									$mail->Username = "sistemas@logisticasportuarias.com.mx";
									$mail->Password = "SysLps2021";
									
									$mail->From = 'sistemas@logisticasportuarias.com.mx';
									$mail->FromName = "LOGISTICAS PORTUARIAS"; 
														
									$mail->Subject = $titulo;
									$mail->AltBody = $mensaje1;
									$mail->MsgHTML($mensaje1);
												 
									$mail->AddAddress($para, $para);
									//$mail->AddAddress('enrique.huerta@logisticasportuarias.com.mx', 'enrique.huerta@logisticasportuarias.com.mx');
									$mail->IsHTML(true);
															
									if(!$mail->Send()) {
										echo "Error: " . $mail->ErrorInfo; 
									}else{ 

										$mensaje = "<b>Email de recuperación de password enviado</b>";
									}
								} catch (phpmailerException $e) {
								   echo $e->errorMessage(); //Pretty error messages from PHPMailer
								} catch (Exception $e) {
								  echo $e->getMessage(); //Boring error messages from anything else!
								}
						
							
							/*
                            include("../phpmailer/class.phpmailer.php");
                            include("../phpmailer/class.smtp.php");
                            $mail = new PHPMailer();
                            $mail->IsSMTP();
                            $mail->SMTPAuth = true;
                            //include("../phpmailer/language/phpmailer.lang-en.php");
                            $mail->SetLanguage("en", '../phpmailer/language/phpmailer.lang-en.php');
                            $mail->Host = "mail.intralogs.com";
                            $mail->Port = 25;
                            $mail->Username = "email@intralogs.com";
                            $mail->Password = "zapata2013";
                            $mail->From = 'email@intralogs.com';
                            $cuerpo = 'Estimado usuario de <a href="https://intralogs.com.mx/INT/">Interteam</a><BR><BR>
								A continuacion se le envia su password de acceso, utilice los siguientes datos para loguearse:<br><br>
								
								Usuario: ' . $_POST["user"] . '<br>
								Password: ' . $password . '<br>
								<br>
								
								Loguearse:<br>
								<a href="https://logisticasportuarias.com.mx/schenker/login.php">Login IMPORTACION PUERTOS</a>';

                            $mail->AddReplyTo(strtolower($email), strtolower($email));
                            $mail->From = trim(strtolower($email));
                            $mail->FromName = trim(strtolower($email));
                            $mail->Subject = 'Recuperacion de password de Interteam';
                            $mail->AltBody = $cuerpo;
                            $mail->MsgHTML($cuerpo);
                            //$mail->AddAddress($email, $email);
                            $mail->AddAddress($email, $email);
                            $mail->IsHTML(true);
                            if (!$mail->Send()){
                                echo "Error: " . $mail->ErrorInfo;
                            }
							*/
                            
                                
                        }else {
                            //echo 'cantidad YYY'.$cant; //return; 
                        }
                    }
                } else {
                    $mensaje = 'El usuario no existe<br>';
                }
            } // sending = 1
        } //--------- user or password not empty
        ?>

    </head>

    <body>
        <?php //echo 'cantidad '.$cant;?>
		<section class="ftco-section">
		<div class="container" style="margin-top: -80px; height:380px">
			<div class="row justify-content-center">
				<div class="col-md-6 col-lg-5" style="margin-top:-10px">
					<div class="login-wrap p-4 p-md-5">
		      	<div class="d-flex align-items-center justify-content-center">
		      		<p align="center"><span class="fa"><img src="images/LPV ORIGINAL.png" width="30%;" height="30%;"/></span></p>
		      	</div>
		      	<div class="d-flex align-items-center justify-content-right">
					<p><span style="color:#000085">Recupere su password &raquo;</span>
					</p>
		      	</div>
		      	<form method="post" action="recuperar_password.php" class="login-form">
		      		<div class="form-group">
		      			<input type="text" class="form-control rounded-left" placeholder="Usuario" id='user' name="user" value="<?= $_POST[user] ?>" required>
		      		</div>
	            <div class="form-group d-md-flex">
	            	<div class="w-50">
	            		<a style="color:#000085; text-decoration:underline; cursor:pointer" href="login.php">Regresar a Login</a>
					</div>
	            </div>
	            <div class="form-group">
	            	<button type="submit" class="btn btn-primary rounded submit p-3 px-5" name="enviar">Enviar</button>
	            </div>
				<div class="form-group" style="margin-top: -15px">
		            	<span style="color:#900; font-size: 13px;"><? echo $mensaje; ?></span>
		        </div>
	          </form>
	        </div>
				</div>
			</div>
		</div>
        <?php include("pie_new.php"); ?>
		</section>
        
  <script src="js_new/jquery.min.js"></script>
  <script src="js_new/popper.js"></script>
  <script src="js_new/bootstrap.min.js"></script>
  <script src="js_new/main.js"></script>

	</body>
</html>
		